---
title: "Insert an organisation"
slug: "insert-a-organisation"
updated: 2024-10-02T11:18:44Z
published: 2026-02-10T10:27:20Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Insert an organisation

Post/api/v1/relations/organisations

Insert a new organisation.

		
			

**Description**

Insert (add) an Organisation to your existing relations. These are tenants who are not natural persons but rather entities such as commercial real estate or partnerships. For instance, a university providing rooms where the rent is collected directly from the tenant.

The 200 response contains a field named 'reference'. It is important to save this value since it is used as an identifier for all the other operations to recognise this specific entity.

**Use Case**

The user wants to add an organisation from a third party system to the Bloxs application. Consequently the organisation can be used in the Bloxs application for other processes, like service tickets, contracts, invoicing etc.

| Field | Description |
| --- | --- |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| phoneNumber | Phone number of the relation. |
| mobileNumber | Mobile phone number of the relation. |
| cocNumber | Chamber of Commerce number. |
| cocDescription | Additional information about the Chamber of Commerce number. Termed as KVK description in the Bloxs system. Extra information can be entered here regarding the Chamber of Commerce number. |
| vatNumber | VAT (BTW) number of the relation. |
| correspondenceMethod | The default method of correspondence. This field is an integer with 2 options: 1 = Email 2 = Post If the correspondenceMethod is set to Email, then the primaryEmailAddresses field is mandatory. If the CorrespondenceMethod is set to Post, then the Address field is mandatory. |
| remarks | General comments. Please note: Avoid including sensitive information here, such as passwords or sensitive personal data. |
| languageISOCode | ISO language code. Use the 2-letter code from the ISO 639-1 Code list. |
| address | The address of the relation. |
| street | The street of the relation. |
| houseNumber | The house number of the relation. |
| postalCode | The postal code of the relation. |
| city | The place of residence of the relation. |
| countryISOCode | ISO country code. Use the 2-letter code from the ISO 639-1 Code list. |
| invoiceAddress | The billing address of the relation. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| postalAddress | The postal address of the relation. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| primaryEmailAddresses | Primary email address used by the relation. If other email addresses are left empty, this email address will be used for correspondence. |
| invoicesEmailAddresses | The email address used to send invoices. |
| paymentRemindersEmailAddresses | The email address used to send reminders regarding payments. |
| indexationsEmailAddresses | The email address to which the annual rent increase (indexation) is sent. |
| serviceTicketsEmailAddresses | The email address to which all maintenance notifications are sent. This may differ from the general email address. For instance, in the case of a shared office space where all communication is centralized through one central desk instead of being handled separately by individual tenants. |
| purchaseOrdersEmailAddresses | All communication specifically related to procurement is conducted through this email address. This is primarily applicable to large parties where procurement processes are managed through separate email accounts. |
| portalsEmailAddresses | Within Bloxs, a portal account for customers or tenants can be opened. Through this field, you can provide multiple email addresses that need to be granted access. |
| otherEmailAddresses | Other email addresses. |
| relationTypeName | Category of the organisation. The available categories are pre-defined in the system but can be configured by the user. If this data point contains a value that is not present in the available categories, a validation error will be received. To retrieve the list of available options the following endpoint can be used: [GET RelationTypes](https://bloxs.document360.io/apidocs/get-all-relation-types). |
| name | Name of the relation. |
| website | Website of the relation. |
| invoiceAttn | This property indicates to whom the invoice will be addressed to. 'Attn' is the abbreviation of 'to the attention off'. The text which is entered in this property will be used as the default line to whom the invoices of this organisation are addressed to. This text will be displayed in the header of the associated documents. There are no validations on this property. The way in which the text is entered is how it will be displayed. |
| reminderAttn | This property indicates to whom the payment reminders will be addressed to. 'Attn' is the abbreviation of 'to the attention off'. The text which is entered in this property will be used as the default line to whom the payment reminders of this organisation are addressed to. This text will be displayed in the header of the associated documents. There are no validations on this property. The way in which the text is entered is how it will be displayed. |
| indexingAttn | This property indicates to whom the yearly indexing of the rent will be addressed to. 'Attn' is the abbreviation of 'to the attention off'. The text which is entered in this property will be used as the default line to whom the communication regarding the yearly indexing of the rent of this organisation are addressed to. This text will be displayed in the header of the associated documents. There are no validations on this property. The way in which the text is entered is how it will be displayed. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='c524f299-bafa-4126-b351-232719aee03f'>application/json</option>
</select>Expand Allobject  languageISOCodestring   | null  Min length0Max length2
addressobject (Address)  streetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

invoiceAddressobject (Address)  streetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

postalAddressobject (Address)  streetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

primaryEmailAddresses Array of string  | null  string    
invoicesEmailAddresses Array of string  | null  string    
paymentRemindersEmailAddresses Array of string  | null  string    
indexationsEmailAddresses Array of string  | null  string    
serviceTicketsEmailAddresses Array of string  | null  string    
purchaseOrdersEmailAddresses Array of string  | null  string    
portalsEmailAddresses Array of string  | null  string    
otherEmailAddresses Array of string  | null  string    
externalIdentifierstring   | null  Min length0Max length100
phoneNumberstring   | null  
mobileNumberstring   | null  
cocNumberstring   | null  Min length0Max length256
cocDescriptionstring   | null  
vatNumberstring   | null  Min length0Max length256
correspondenceMethodinteger  (int32)    RequiredValid values[
  1,
  2
]
remarksstring   | null  
relationTypeNamestring    RequiredMin length0Max length256
namestring    RequiredMin length0Max length256
websitestring   | null  
invoiceAttnstring   | null  
reminderAttnstring   | null  
indexingAttnstring   | null  

Responses200

The organisation was created

<select class='api-response-data' aria-label='Media type'><option value='3bbc6896-511f-4d12-897f-aea9e0b85f39'>application/json</option>
</select>Expand Allobject  languageISOCodestring   | null  Min length0Max length2
addressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

invoiceAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

postalAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

primaryEmailAddresses Array of string  | null  string    
invoicesEmailAddresses Array of string  | null  string    
paymentRemindersEmailAddresses Array of string  | null  string    
indexationsEmailAddresses Array of string  | null  string    
serviceTicketsEmailAddresses Array of string  | null  string    
purchaseOrdersEmailAddresses Array of string  | null  string    
portalsEmailAddresses Array of string  | null  string    
otherEmailAddresses Array of string  | null  string    
externalIdentifierstring   | null  Min length0Max length100
phoneNumberstring   | null  
mobileNumberstring   | null  
cocNumberstring   | null  Min length0Max length256
cocDescriptionstring   | null  
vatNumberstring   | null  Min length0Max length256
correspondenceMethodinteger  (int32)    Valid values[
  1,
  2
]
remarksstring   | null  
relationTypeNamestring    Min length0Max length256
namestring    Min length0Max length256
websitestring   | null  
invoiceAttnstring   | null  
reminderAttnstring   | null  
indexingAttnstring   | null  
referencestring   | null  Min length0Max length100
displayNamestring   | null  
archiveDatestring  (date)   | null  

400

The organisation data has validation issues

<select class='api-response-data' aria-label='Media type'><option value='f909a5f6-5279-45f2-9cef-5b5fe2cc94a8'>application/json</option>
</select>Expand Allobject  typestring   | null  
titlestring   | null  
traceIdstring   | null  
statusinteger  (int32)    
errorsobject | null  property* Array of string  | null  additionalPropertiesstring
